## org.biojava.bio.seq.io
Class StreamReader.Context

    java.lang.Object
      |
      +--org.biojava.bio.seq.io.StreamReader.Context

Enclosing class:
  StreamReader

public static class StreamReader.Context
extends java.lang.Object

Encapsulate a stream for reading sequence data. This is the object which gets passed to SequenceFormats.

Constructor Summary
`StreamReader.Context(java.io.BufferedReader reader)`
`StreamReader.Context(java.io.InputStream is)`

Method Summary
`java.io.BufferedReader` `getReader()` Get a Reader object for accessing data from the stream.
`boolean` `isStreamEmpty()` Check if the stream is empty.
`void` `streamEmpty()` Signal that the stream contains no more sequence data.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### StreamReader.Context

    public StreamReader.Context(java.io.InputStream is)

### StreamReader.Context

    public StreamReader.Context(java.io.BufferedReader reader)

Method Detail

### getReader

    public java.io.BufferedReader getReader()

  Get a Reader object for accessing data from the stream.
  Returns:
    A `Reader` object, or `null` if the stream contains no more sequences.

### streamEmpty

    public void streamEmpty()

  Signal that the stream contains no more sequence data. This may or may not correspond to reaching the end of the stream.

### isStreamEmpty

    public boolean isStreamEmpty()

  Check if the stream is empty.